package jp.sf.amateras.xmleditor.preferences;

import jp.sf.amateras.xmleditor.XMLEditorPlugin;

import org.eclipse.jface.preference.ColorFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

public class XMLEditorPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {

	public XMLEditorPreferencePage() {
		super(GRID);
		setPreferenceStore(XMLEditorPlugin.getDefault().getPreferenceStore());
	}
	
	protected void createFieldEditors() {
		addField(new ColorFieldEditor(
				PreferenceConstants.COLOR_TAG,"^O̐F",getFieldEditorParent()));
		addField(new ColorFieldEditor(
				PreferenceConstants.COLOR_COMMENT,"Rg̐F",getFieldEditorParent()));
		addField(new ColorFieldEditor(
				PreferenceConstants.COLOR_STRING,"̐F",getFieldEditorParent()));
		addField(new ColorFieldEditor(
				PreferenceConstants.COLOR_PROC,"XML錾̐F",getFieldEditorParent()));
		addField(new ColorFieldEditor(
				PreferenceConstants.COLOR_DEFAULT,"ftHg̐F",getFieldEditorParent()));
	}
	
	public void init(IWorkbench workbench) {
	}
	
}
